Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffVar

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffVar

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TariffVar extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffVar()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffVar`
  `copyTariffVar()`
  `static TariffVar`
  `from(IdTitle idTitle)`
  `String`
  `getDefaultValue()`
  `int`
  `getModuleId()`
  `int`
  `getTariffPlanId()`
  `int`
  `getTopId()`
  `TariffVarType`
  `getType()`
  `int`
  `getUpId()`
  `TariffVar`
  `setDefaultValue(String defaultValue)`
  `TariffVar`
  `setId(int id)`
  Устанавливает id объекта
  `TariffVar`
  `setModuleId(int moduleId)`
  `TariffVar`
  `setTariffPlanId(int tariffPlanId)`
  `TariffVar`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `TariffVar`
  `setTopId(int topId)`
  `TariffVar`
  `setType(TariffVarType type)`
  `TariffVar`
  `setUpId(int upId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TariffVar

    public TariffVar()

- ## Method Details

  - ### copyTariffVar

    public TariffVar copyTariffVar()

  - ### getDefaultValue

    public String getDefaultValue()

  - ### getModuleId

    public int getModuleId()

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### getTopId

    public int getTopId()

  - ### getType

    public TariffVarType getType()

  - ### getUpId

    public int getUpId()

  - ### setDefaultValue

    public TariffVar setDefaultValue(String defaultValue)

  - ### setId

    public TariffVar setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setModuleId

    public TariffVar setModuleId(int moduleId)

  - ### setTariffPlanId

    public TariffVar setTariffPlanId(int tariffPlanId)

  - ### setTitle

    public TariffVar setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTopId

    public TariffVar setTopId(int topId)

  - ### setType

    public TariffVar setType(TariffVarType type)

  - ### setUpId

    public TariffVar setUpId(int upId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### from

    public static TariffVar from(IdTitle idTitle)